$NetBSD: README.Darwin,v 1.4 2003/05/31 16:49:57 toshii Exp $

Terse instructions:

$ ./ufsdiskimage create ~/Documents/NetBSD 512  # megabytes - season to taste
$ ./ufsdiskimage mount ~/Documents/NetBSD
$ sudo chown `id -u`:`id -g` /Volumes/NetBSD
$ curl -O \
    ftp://ftp.netbsd.org/pub/NetBSD/NetBSD-current/tar_files/pkgsrc.tar.gz
$ tar -C /Volumes/NetBSD -zxvf pkgsrc.tar.gz && rm pkgsrc.tar.gz
$ sudo ./bootstrap \
    --prefix=/Volumes/NetBSD/pkg \
    --pkgdbdir=/Volumes/NetBSD/pkgdb \
    --pkgsrcdir=/Volumes/NetBSD/pkgsrc

Note: if you already have a UFS partition, or have a spare partition[*]
that you can format as UFS, use that instead of the UFS disk image.
It'll be somewhat faster and will mount automatically at boot time.

(Why can't you just use the HFS+ filesystem you've already got?
Because pkgsrc currently requires the underlying filesystem to be
case-sensitive, and HFS+ isn't.)

[*] - If the partition you want to convert to UFS from HFS+ under
Mac OS X is on the boot disk, then the disk tools won't do anything
with it.  See "README.MacOSX".
